POST Agents/Archive/GetActivityFilter
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Archive/GetActivityFilter
Get activity filter for the specified list.
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Archive/GetActivityFilter?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ActivityFilter
| Property Name | Type | Description |
|---|---|---|
| FromDate | date-time | The filtering From date |
| ToDate | date-time | The filtering To date |
| AssociateList | array | The list of associates to filter on |
| GroupList | array | The list of groups to filter on |
| FutureDateList | array | The list of future date selections. This is a static MDO list with standard values. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Archive/GetActivityFilter
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"FromDate": "2024-11-01T00:00:00+01:00",
"ToDate": "2024-12-31T23:59:59+01:00",
"AssociateList": [
{
"Id": 397,
"Name": "John Anderson",
"ToolTip": "Sales Representative - North Region",
"Deleted": false,
"Rank": 1,
"Type": "Associate",
"ColorBlock": 529,
"IconHint": "user",
"Selected": true,
"LastChanged": "2024-11-15T10:30:00+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "Sales Department",
"StyleHint": "selected",
"Hidden": false,
"FullName": "John Anderson",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 898
}
}
}
],
"GroupList": [
{
"Id": 769,
"Name": "Sales Team",
"ToolTip": "Sales department user group",
"Deleted": false,
"Rank": 1,
"Type": "UserGroup",
"ColorBlock": 524,
"IconHint": "group",
"Selected": true,
"LastChanged": "2024-11-20T14:15:00+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "Primary sales team for North region",
"StyleHint": "selected",
"Hidden": false,
"FullName": "Sales Team - North",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 984
}
}
}
],
"FutureDateList": [
{
"Id": 282,
"Name": "Next 30 days",
"ToolTip": "Show activities for the next 30 days",
"Deleted": false,
"Rank": 1,
"Type": "DateRange",
"ChildItems": [
{},
{}
],
"IconHint": "calendar",
"ColorBlock": 634,
"ExtraInfo": "2024-11-27 to 2024-12-27",
"StyleHint": "daterange",
"FullName": "Next 30 days",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 932
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 886
}
}
}